#include <p18f2550.h>
#include <delays.h>
#include "EEP.h"

void main() {
  // digital inputs - not analogic
  ADCON1 = 0x0F;
  CMCON = 0x07;
  
  // blinking led for knowing it works
  TRISCbits.TRISC1 = 0 ;
  PORTCbits.RC1 = 1;
  // on/off led
  TRISCbits.TRISC2 = 0 ;
  // read value from memory
  PORTCbits.RC2 = Read_b_eep(0x0001);;
  
  // button
  TRISAbits.TRISA0 = 1 ;
  PORTAbits.RA0 = 0;

  while (1) {

    if (PORTAbits.RA0) {
      while (PORTAbits.RA0) { } 
      PORTCbits.RC2 =~ PORTCbits.RC2;
      // save value to memory
	  Write_b_eep (0x0001, PORTCbits.RC2); Busy_eep ();
    } 

    PORTCbits.RC1 =~ PORTCbits.RC1;
    Delay10KTCYx(100);
  }

}